<?php function musexpress_admin_settings_display() { ?>
    <?php
    if (!current_user_can('manage_options')) {
        return;
    }
    ?>
    <div class="wrap">
        <?php $active_tab = isset($_GET['tab']) ? $_GET['tab'] : 'musegain_id'; ?>
        <h2 class="nav-tab-wrapper">
            <a href="?page=musexpress_settings&amp;tab=musegain_id" class="nav-tab <?= $active_tab === 'musegain_id' ? 'nav-tab-active' : '' ?>">MuseGain ID</a>
            <a href="?page=musexpress_settings&amp;tab=page_converter" class="nav-tab <?= $active_tab === 'page_converter' ? 'nav-tab-active' : '' ?>">Page Converter</a>
        </h2>
        <form action="" method="post">
            <?php
            switch ($active_tab) {
                case 'musegain_id':
                ?>
                    <h3>MuseGain ID Settings</h3>
                    <p>To enable <i>"MusexPress"</i> automatic updates you should verify your <i>"MuseGain ID"</i>.</p>
                    <table class="form-table">
                        <tr>
                            <th>
                                <label for="musegain-id">MuseGain ID</label>
                            </th>
                            <td>
                                <?php $musegain_id = get_option('musegain_id'); ?>
                                <input type="text" name="musegain_id" value="<?= $musegain_id ?>" class="regular-text" id="musegain-id">
                                <?php if (empty($musegain_id)): ?>
                                    <?php wp_nonce_field('verify_musegain_id_nonce', 'nonce', false); ?>
                                    <input type="hidden" name="musexpress_action" value="verify_musegain_id">
                                    <?php submit_button('Verify your ID', 'primary', 'verify_musegain_id', false); ?>
                                <?php else: ?>
                                    <?php wp_nonce_field('delete_musegain_id_nonce', 'nonce', false); ?>
                                    <input type="hidden" name="musexpress_action" value="delete_musegain_id">
                                    <?php submit_button('Delete your ID', 'delete', 'delete_musegain_id', false); ?>
                                <?php endif; ?>
                                <p class="description">The ID is your registration email on <a href="http://www.musegain.com">MuseGain.com</a></p>
                            </td>
                        </tr>
                    </table>
                <?php
                    break;

                case 'page_converter':
                $page_converter_settings = get_option('page_converter_settings');
                ?>
                <h3>Page Converter Settings</h3>
                <p>We suggest using this default configuration.</p>
                <table class="form-table">
                    <?php foreach ($page_converter_settings as $settings_name => $settings): ?>
                        <tr>
                            <th>
                                <label for="<?= $settings_name ?>"><?= $settings['label'] ?></label>
                            </th>
                            <td>
                                <fieldset>
                                    <input type="checkbox" name="page_converter_settings[<?= $settings_name ?>]" id="<?= $settings_name ?>" <?= checked(1, $settings['value'], false) ?>>
                                    <span class="description"><?= $settings['description'] ?></span>
                                </fieldset>
                            </td>
                        </tr>
                    <?php endforeach; ?>
                </table>
                <p class="submit">
                    <?php wp_nonce_field('update_page_converter_settings_nonce', 'nonce', false); ?>
                    <input type="hidden" name="musexpress_action" value="update_page_converter_settings">
                    <?php submit_button('Save Changes', 'primary', 'update_page_converter_settings', false); ?>
                </p>
                <?php
                    break;
            }
            ?>
        </form>
    </div>
<?php } ?>
