<?php
/*
Plugin Name: MusexPress
Plugin URI:  http://www.musexpress.net
Description: This plugin enable MusexPress functionality.
Version:     2.0.0
Author:      MuseGain.com
Author URI:  http://www.musegain.com
License:     MuseGain.com
License URI: http://www.musegain.com/terms-conditions-of-use/

All the products on Musegain.com are copyrighted and are the properties of
Eclipse s.r.l.

You acknowledge that by Your download the ownership of MusexPress
(and/or its plugins) does not get transferred to You and You must not claim
that it is Yours.

What You get includes an ongoing, non-exclusive, non transferable, worldwide
license to use the plugins on the terms and conditions available here
http://www.musegain.com/terms-conditions-of-use/ . Please read them carefully,
any violation will not be tolerated.
*/

if (!defined('WPINC')) {
	die;
}

define('MUSEXPRESS_PLUGIN_NAME', 'musexpress');
define('MUSEXPRESS_PLUGIN_VERSION', '2.0.0');
define('MUSEXPRESS_PLUGIN_DIRECTORY_PATH', plugin_dir_path(__FILE__));

define('MUSEXPRESS_UPDATE_SERVER_URL', 'http://www.musegain.com/wp-update-server-master');
define('MUSEXPRESS_GET_PLUGINS_URL', MUSEXPRESS_UPDATE_SERVER_URL . '/?action=get_plugins');
define('MUSEXPRESS_VERIFY_ID_URL', MUSEXPRESS_UPDATE_SERVER_URL . '/?action=verify_musegain_id');

define('MUSEXPRESS_TOP_LEVEL_MENU_SLUG', 'musexpress');
define('MUSEXPRESS_SETTINGS_PAGE_SLUG', MUSEXPRESS_TOP_LEVEL_MENU_SLUG . '_settings');
define('MUSEXPRESS_PAGE_CONVERTER_PAGE_SLUG', MUSEXPRESS_TOP_LEVEL_MENU_SLUG . '_page_converter');
define('MUSEXPRESS_OFFICIAL_PLUGINS_PAGE_SLUG', MUSEXPRESS_TOP_LEVEL_MENU_SLUG . '_official_plugins');

function activate_musexpress() {
	require_once MUSEXPRESS_PLUGIN_DIRECTORY_PATH . 'includes/class-musexpress-activator.php';

	Musexpress_Activator::activate();
}

function deactivate_musexpress() {
	require_once MUSEXPRESS_PLUGIN_DIRECTORY_PATH . 'includes/class-musexpress-deactivator.php';

	Musexpress_Deactivator::deactivate();
}

register_activation_hook(__FILE__, 'activate_musexpress');
register_deactivation_hook(__FILE__, 'deactivate_musexpress');

function musexpress_login_head() {
    wp_enqueue_style(MUSEXPRESS_PLUGIN_NAME, plugin_dir_url(__FILE__) . 'admin/css/musexpress-admin.css', array(), MUSEXPRESS_PLUGIN_VERSION, 'all');
}

function musexpress_monthly_event($musegain_id) {
    do_action('get_musexpress_plugins');
    do_action('verify_musegain_id', get_option('musegain_id'));
}

function update_musegain_id_option($musegain_id) {
    $response = wp_remote_post(MUSEXPRESS_VERIFY_ID_URL, array(
        'body' => array(
            'musegain_id' => $musegain_id
        )
    ));

    if (!is_wp_error($response)) {
        $user_verified = json_decode($response['body']);

        if ($user_verified->user_verified) {
            update_option('musegain_id', $musegain_id);
            wp_safe_redirect(esc_url_raw(add_query_arg('musexpress_notice', 'verify-musegain-id', menu_page_url(MUSEXPRESS_TOP_LEVEL_MENU_SLUG, false))));
        } else {
            update_option('musegain_id', '');

            wp_die('Your <i>"MuseGain ID"</i> could not be verified. Be sure you have an active subscription on <a href="http://www.musegain.com">MuseGain.com</a>.', 'MuseGain ID - Error', array(
                'response'  => 401,
                'back_link' => true
            ));
        }
    }
}

function update_musexpress_json() {
    $response = wp_remote_get(MUSEXPRESS_GET_PLUGINS_URL);

    if (is_array($response)) {
        file_put_contents(MUSEXPRESS_PLUGIN_DIRECTORY_PATH . 'musexpress.json', $response['body']);
    }
}

add_action('get_musexpress_plugins', 'update_musexpress_json');
add_action('login_head', 'musexpress_login_head');
add_action('monthly_event', 'musexpress_monthly_event');
add_action('verify_musegain_id', 'update_musegain_id_option');

function musexpress_cron_schedules($schedules) {
    $schedules['monthly'] = array(
        'interval' => 2629000,
        'display'  => 'Once monthly'
    );

    return $schedules;
}

function filter_plugin_updates($value) {
    if ($value) {
        unset($value->response['woocommerce/woocommerce.php']);
    }

    return $value;
}

add_filter('cron_schedules', 'musexpress_cron_schedules');
add_filter('site_transient_update_plugins', 'filter_plugin_updates');

function run_musexpress() {
    require MUSEXPRESS_PLUGIN_DIRECTORY_PATH . 'includes/class-musexpress.php';

	$plugin = new Musexpress;

	$plugin->run();
}

run_musexpress();
